Skip to main content
GET
/
accounts
/
{id}
/
creator-info
Get creator info for publishing
curl --request GET \
  --url https://api.social-api.ai/v1/accounts/{id}/creator-info \
  --header 'Authorization: <api-key>'
{
  "avatar_url": "<string>",
  "can_post": true,
  "interaction_settings": {
    "comment_disabled": true,
    "duet_disabled": true,
    "stitch_disabled": true
  },
  "max_video_duration_sec": 123,
  "nickname": "<string>",
  "platform": "<string>",
  "privacy_level_options": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.social-api.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

id
string
required

Connected account ID

Response

Creator info

avatar_url
string

[platform: tiktok] Empty on other platforms

can_post
boolean

[platform: tiktok] Always false on other platforms

interaction_settings
object

[platform: tiktok] Nil on other platforms

max_video_duration_sec
integer

[platform: tiktok] Zero on other platforms

nickname
string

[platform: tiktok] Empty on other platforms

platform
string

[always]

privacy_level_options
string[]

[platform: tiktok] Nil on other platforms